Cancelar uma das inscrições do associado (dentro da janela de cancelamento)
DELETE
/v1/me/registrations/{id}
const url = 'https://api.vimine.network/v1/me/registrations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.vimine.network/v1/me/registrations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Autorizações
Seção intitulada “Autorizações”Parâmetros
Seção intitulada “Parâmetros”Parâmetros de caminho
Seção intitulada “Parâmetros de caminho”id
obrigatório
string formato: uuid
Respostas
Seção intitulada “Respostas”Cancelada
Tipo de mídiaapplication/json
object
id
string formato: uuid
status
string
event
object
id
string
slug
string
title
string
starts_at
string formato: date-time
ends_at
string formato: date-time
timezone
string
status
string
location
string
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string formato: date-time
checked_in_at
string formato: date-time
cancelled_at
string formato: date-time
cancel_reason
string
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string formato: date-time
payment_instructions
Como pagar a contribuição durante a reserva
string
note
Texto livre que a pessoa escreveu. Omitido (null) para os clientes de terceiros quando a associação declarou que trata categorias especiais de dados
string
created_at
string formato: date-time
token
O conteúdo do QR da inscrição (vmt_…), só para as inscrições confirmadas
string
Exemplo
{ "status": "reserved"}Requisição inválida
Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Credenciais ausentes ou inválidas
Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Não permitido
Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Não encontrado
Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}window_closed (perto demais do início) ou not_live (já cancelada)
Limite de requisições excedido
Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Erro interno
Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}